{"openapi":"3.1.0","info":{"title":"Admin Management: Orders","version":"1.0.0"},"paths":{"/stores/{store_hash}/v2/orders/{order_id}":{"get":{"operationId":"getOrder","summary":"Get Order","description":"Gets an *Order*. To learn more about creating or updating orders, see [Orders Overview](/developer/docs/admin/checkout-and-cart/orders).","tags":["orders"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"include","in":"query","description":"* `consignments` - include the response returned from the request to the `/orders/{order_id}/consignments` endpoint. Current default array structure is legacy and will be deprecated from **1 Feb 2026**. Specify `consignment_structure=object` as a request parameter when including consignments.\n* `consignments.line_items` - include the response returned from the request to the `/orders/{order_id}/products` endpoint in consignments. This will also includes the resources associated with `include=consignments`. Current default array structure is legacy and will be deprecated from **1 Feb 2026**. Specify `consignment_structure=object` as a request parameter when including consignments.\n* `fees` - include the response returned from the request to the `/orders/{order_id}/fees` endpoint.","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrdersOrderIdGetParametersIncludeSchemaItems"}}},{"name":"consignment_structure","in":"query","description":"Should be specified along with `include=consignments` or `include=consignments.line_items` to return consignments in the supported object structure. The default array structure provided is legacy and may not be supported in the future.","required":false,"schema":{"$ref":"#/components/schemas/OrdersOrderIdGetParametersConsignmentStructure"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"Order Response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/order_Resp"}}}},"404":{"description":"The requested resource was not found.","content":{"application/json":{"schema":{"description":"Any type"}}}}}},"put":{"operationId":"updateOrder","summary":"Update Order","description":"Updates an *Order*. \n\nTo add a product to an existing order, don't include `id` in the body. Include `product_options` if adding a product with variants.\n\nTo update a product in an order, include `id` in the body. The body should only contain the fields that need to be updated. Those fields that are omitted will not be changed.\n\nTo remove a product from an order, set that product’s `quantity` to `0`.\n\nAfter the update, the PUT request clears all discounts and promotions applied to the changed order line items. Since the order data syncs with other ERP systems, like Amazon or eBay, the updated order returns to the default setting, removing any applied discounts.\n\nTo update order fees, include the fee id in the request body along with all relevant fee fields. Fees not included will be deleted. Fees with an id will be updated, and fees without an id will be created as new.\n\n**Notes**\n\n* Sub-resources like products in the /v2/orders PUT request behave like PATCH, updating only the provided fields. Fees, however, follow standard PUT semantics and fees in the request body will fully replace existing ones. \nTo retain an existing fee, include it in the body with its associated id. \n* The values for cost_ex_tax, cost_inc_tax and cost_tax in the fees payload should reflect the tax rate associated with the tax_class_id. For a 10% tax rate, the difference between cost_inc_tax and cost_ex_tax should be 10%. If no tax_class_id is provided, the store's default \"tax class for fee\" will apply. Incorrect data may lead to issues in downstream operations like refunds.\n\nTo learn more about creating or updating orders, see [Orders Overview](/developer/docs/admin/checkout-and-cart/orders).\n\n> #### Note\n> * If historical orders processed on another eCommerce platform are being migrated to BigCommerce, supply the `external_source` field with the code **M-MIG**. This code will exclude the historical orders from the store’s GMV/order count, which factors into pricing.","tags":["orders"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"Order Response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/order_Resp"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/order_Put"}}}}},"delete":{"operationId":"deleteOrder","summary":"Archive Order","description":"Archives an order. To remove a single product from an order, see `PUT /orders/{order_id}`.","tags":["orders"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"204":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{}}}}}}}},"/stores/{store_hash}/v2/orders/count":{"get":{"operationId":"getOrdersCount","summary":"Get Count of Orders","description":"Gets an array of orders in the store organized by order status.","tags":["orders"],"parameters":[{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"min_id","in":"query","description":"The minimum order ID.","required":false,"schema":{"type":"integer"}},{"name":"max_id","in":"query","description":"The maximum order ID.","required":false,"schema":{"type":"integer"}},{"name":"min_total","in":"query","description":"The minimum order total in floating point format. eg. 12.50","required":false,"schema":{"type":"string","title":"float"}},{"name":"max_total","in":"query","description":"The maximum order total in floating point format. eg. 12.50","required":false,"schema":{"type":"number","format":"double"}},{"name":"customer_id","in":"query","description":"Customer ID.","required":false,"schema":{"type":"integer"}},{"name":"email","in":"query","description":"The email of the customer.","required":false,"schema":{"type":"string"}},{"name":"status_id","in":"query","description":"The status ID of the order. You can get the status id from the `/orders` endpoints.","required":false,"schema":{"type":"integer"}},{"name":"cart_id","in":"query","description":"The cart ID of the order.","required":false,"schema":{"type":"string"}},{"name":"payment_method","in":"query","description":"The display name of the payment method used on the order. For example, `Manual`, `Credit Card`, `cash`, `Test Payment Gateway`, etc.'","required":false,"schema":{"type":"string"}},{"name":"min_date_created","in":"query","description":"Minimum date the order was created in RFC-2822 or ISO-8601.\n\nRFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400`\n\nISO-8601: `2017-04-20T11:32:00.000-04:00`","required":false,"schema":{"type":"string"}},{"name":"max_date_created","in":"query","description":"Maximum date the order was created in RFC-2822 or ISO-8601.\n\nRFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400`\n\nISO-8601: `2017-04-20T11:32:00.000-04:00`","required":false,"schema":{"type":"string"}},{"name":"min_date_modified","in":"query","description":"Minimum date the order was modified in RFC-2822 or ISO-8601.\n\nRFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400`\n\nISO-8601: `2017-04-20T11:32:00.000-04:00`","required":false,"schema":{"type":"string"}},{"name":"max_date_modified","in":"query","description":"Maximum date the order was modified in RFC-2822 or ISO-8601.\n\nRFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400`\n\nISO-8601: `2017-04-20T11:32:00.000-04:00`","required":false,"schema":{"type":"string"}},{"name":"channel_id","in":"query","description":"The channel ID of the sales channel the shopper used to place the order.","required":false,"schema":{"type":"integer"}},{"name":"external_order_id","in":"query","description":"The order ID in another system, such as the Amazon Order ID if this is an Amazon order. After setting it, you can update this field using a POST or PUT request.","required":false,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"Order Counter response collection.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ordersCount_Full"}}}}}}},"/stores/{store_hash}/v2/orders":{"get":{"operationId":"getOrders","summary":"List Orders","description":"Gets a list of orders using the filter query.\n\n**Notes**\n\n* The default sort is by order id, from lowest to highest.\n* By default, requests sent without parameters will only return 50 orders. ","tags":["orders"],"parameters":[{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"min_id","in":"query","description":"The minimum order ID.","required":false,"schema":{"type":"integer"}},{"name":"max_id","in":"query","description":"The maximum order ID.","required":false,"schema":{"type":"integer"}},{"name":"min_total","in":"query","description":"The minimum order total in floating point format. eg. 12.50","required":false,"schema":{"type":"string","title":"float"}},{"name":"max_total","in":"query","description":"The maximum order total in floating point format. eg. 12.50","required":false,"schema":{"type":"number","format":"double"}},{"name":"customer_id","in":"query","description":"Customer ID.","required":false,"schema":{"type":"integer"}},{"name":"email","in":"query","description":"The email of the customer.","required":false,"schema":{"type":"string"}},{"name":"status_id","in":"query","description":"The status ID of the order. You can get the status id from the `/orders` endpoints.","required":false,"schema":{"type":"integer"}},{"name":"cart_id","in":"query","description":"The cart ID of the order.","required":false,"schema":{"type":"string"}},{"name":"payment_method","in":"query","description":"The display name of the payment method used on the order. For example, `Manual`, `Credit Card`, `cash`, `Test Payment Gateway`, etc.'","required":false,"schema":{"type":"string"}},{"name":"min_date_created","in":"query","description":"Minimum date the order was created in RFC-2822 or ISO-8601.\n\nRFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400`\n\nISO-8601: `2017-04-20T11:32:00.000-04:00`","required":false,"schema":{"type":"string"}},{"name":"max_date_created","in":"query","description":"Maximum date the order was created in RFC-2822 or ISO-8601.\n\nRFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400`\n\nISO-8601: `2017-04-20T11:32:00.000-04:00`","required":false,"schema":{"type":"string"}},{"name":"min_date_modified","in":"query","description":"Minimum date the order was modified in RFC-2822 or ISO-8601.\n\nRFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400`\n\nISO-8601: `2017-04-20T11:32:00.000-04:00`","required":false,"schema":{"type":"string"}},{"name":"max_date_modified","in":"query","description":"Maximum date the order was modified in RFC-2822 or ISO-8601.\n\nRFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400`\n\nISO-8601: `2017-04-20T11:32:00.000-04:00`","required":false,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The page to return in the response.","required":false,"schema":{"type":"number","format":"double","default":1}},{"name":"limit","in":"query","description":"Number of results to return.","required":false,"schema":{"type":"number","format":"double","default":50}},{"name":"sort","in":"query","description":"Field and direction to sort orders. To specify the direction, add `:asc` or `:desc` to the end of the query parameter. e.g., `sort=date_created:desc`.","required":false,"schema":{"$ref":"#/components/schemas/OrdersGetParametersSort"}},{"name":"channel_id","in":"query","description":"The channel ID of the sales channel the shopper used to place the order.","required":false,"schema":{"type":"integer"}},{"name":"include","in":"query","description":"* `consignments` - include the response returned from the request to the `/orders/{order_id}/consignments` endpoint. Current default array structure is legacy and will be deprecated from **1 Feb 2026**. Specify `consignment_structure=object` as a request parameter when including consignments.\n* `consignments.line_items` - include the response returned from the request to the `/orders/{order_id}/products` endpoint in consignments. This will also includes the resources associated with `include=consignments`. Current default array structure is legacy and will be deprecated from **1 Feb 2026**. Specify `consignment_structure=object` as a request parameter when including consignments.\n* `fees` - include the response returned from the request to the `/orders/{order_id}/fees` endpoint.","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrdersGetParametersIncludeSchemaItems"}}},{"name":"consignment_structure","in":"query","description":"Should be specified along with `include=consignments` or `include=consignments.line_items` to return consignments in the supported object structure. The default array structure provided is legacy and may not be supported in the future.","required":false,"schema":{"$ref":"#/components/schemas/OrdersGetParametersConsignmentStructure"}},{"name":"external_order_id","in":"query","description":"The order ID in another system, such as the Amazon Order ID if this is an Amazon order. After setting it, you can update this field using a POST or PUT request.","required":false,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/order_Resp"}}}}}}},"post":{"operationId":"createOrder","summary":"Create Order","description":"Creates an *Order*. To learn more about creating or updating orders, see [Orders Overview](/developer/docs/admin/checkout-and-cart/orders).\n\nCreate an order with an existing catalog product or a custom product.\n\n**Required Fields**\n\n* `products` or `consignments`\n* `billing_address`\n\nWhen you create an order, the `consignment(s)` array allows you to create pickup consignments.\n- An order can have either a pickup or a shipping fulfillment method, but not both.\n- An order can have only one pickup consignment.\n\nChoose from one of the following:\n1. Create order with a shipping fulfillment method using `shipping_addresses` and `products`, i.e. legacy mode\n2. Create order with a pickup fulfillment method using `consignments`, i.e. Consignment mode\n\nYou can fulfill an order with shipping or pickup, but not both.\n\nThis means that if the `consignments` array is present in the request, then _none_ of the following may be present and vice-versa:\n- `shipping_addresses`\n- `products`\n\nInclude the `fees` object along with all its attributes in the request to create order-level fees for the newly created order.\n\n**Notes**\n\n* The values for cost_ex_tax, cost_inc_tax and cost_tax in the fees payload should reflect the tax rate associated with the tax_class_id. For a 10% tax rate, the difference between cost_inc_tax and cost_ex_tax should be 10%. If no tax_class_id is provided, the store's default \"tax class for fee\" will apply. Incorrect data may lead to issues in downstream operations like refunds.\n\nThe V2 Orders API will not trigger the typical [Order Email](https://support.bigcommerce.com/s/article/Customizing-Emails?language=en_US) when creating orders. To create an order that does trigger this email, you can instead [create a cart](/developer/api-reference/rest/admin/management/carts/carts-single/create-cart) and [convert that cart into an order](/developer/api-reference/rest/admin/management/checkouts/orders/create-order).\n\nIf you are building an app that creates orders, it must include your app's ID in the `external_source` field of new orders to be approved for the App Marketplace. See [App Store Approval Requirements](/developer/docs/integrations/apps/guide/approval-requirements#functionality) to learn more.\n\n> #### Note\n> * If historical orders processed on another eCommerce platform are being migrated to BigCommerce, supply the `external_source` field with the code **M-MIG**. This code will exclude the historical orders from the store’s GMV/order count, which factors into pricing.","tags":["orders"],"parameters":[{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"include","in":"query","description":"* `consignments` - include the response returned from the request to the `/orders/{order_id}/consignments` endpoint. Current default array structure is legacy and will be deprecated from **1 Feb 2026**. Specify `consignment_structure=object` as a request parameter when including consignments.\n* `consignments.line_items` - include the response returned from the request to the `/orders/{order_id}/products` endpoint in consignments. This will also includes the resources associated with `include=consignments`. Current default array structure is legacy and will be deprecated from **1 Feb 2026**. Specify `consignment_structure=object` as a request parameter when including consignments.\n* `fees` - include the response returned from the request to the `/orders/{order_id}/fees` endpoint.","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrdersPostParametersIncludeSchemaItems"}}},{"name":"consignment_structure","in":"query","description":"Should be specified along with `include=consignments` or `include=consignments.line_items` to return consignments in the supported object structure. The default array structure provided is legacy and may not be supported in the future.","required":false,"schema":{"$ref":"#/components/schemas/OrdersPostParametersConsignmentStructure"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"Order Response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/order_Resp"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/order_Post"}}}}},"delete":{"operationId":"deleteOrders","summary":"Delete All Orders","description":"Archives all orders.","tags":["orders"],"parameters":[{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","description":"Number of results to return.","required":false,"schema":{"type":"number","format":"double","default":50}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"204":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{}}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/consignments":{"get":{"operationId":"getOrderConsignments","summary":"List Consignments","description":"Get all consignments for an order. ","tags":["orderConsignments"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"include","in":"query","description":"* `consignments.line_items` - include the response returned from the request to the `/orders/{order_id}/products` endpoint in consignments.","required":false,"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrdersOrderIdConsignmentsGetParametersIncludeSchemaItems"}}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderConsignment_Get"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrdersOrderIdConsignmentsGetResponsesContentApplicationJsonSchemaItems"}}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/consignments/shipping/{shipping_consignment_id}/shipping_quotes":{"get":{"operationId":"getOrderConsignmentShippingQuotes","summary":"List Consignment Shipping Quotes","description":"Get all shipping quotes persisted on an order for a shipping consignment.\nThis is a read-only endpoint whose response depends on the shipping quote. You can only generate a shipping quote using the storefront at this time. Orders that are created in the control panel, or using the API, return a 204 status response since you can't generate a shipping quote during that process.","tags":["orderConsignments"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"shipping_consignment_id","in":"path","description":"Shipping consignment ID.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/shippingQuotes_Base"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrdersOrderIdConsignmentsShippingShippingConsignmentIdShippingQuotesGetResponsesContentApplicationJsonSchemaItems"}}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/coupons":{"get":{"operationId":"getOrderCoupons","summary":"List Order Coupons","description":"Lists all order coupons. Optional parameters can be passed in.\n\n|Type `int`|Type Name|\n|-|-|\n|`0`|`per_item_discount`|\n|`1`|`percentage_discount`|\n|`2`|`per_total_discount`|\n|`3`|`shipping_discount`|\n|`4`|`free_shipping`|\n|`5`|`promotion`|","tags":["orderCoupons"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The page to return in the response.","required":false,"schema":{"type":"number","format":"double","default":1}},{"name":"limit","in":"query","description":"Number of results to return.","required":false,"schema":{"type":"number","format":"double","default":50}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/orderCoupons_Base"}}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/fees":{"get":{"operationId":"getOrderFees","summary":"List Fees","description":"Get all fees for an order. ","tags":["orderFees"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderFees_Resp"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrdersOrderIdFeesGetResponsesContentApplicationJsonSchemaItems"}}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/messages":{"get":{"operationId":"getOrderMessages","summary":"List Order Messages","description":"Gets the messages associated with an order.","tags":["orderMessages"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"min_id","in":"query","description":"The minimum order ID.","required":false,"schema":{"type":"integer"}},{"name":"max_id","in":"query","description":"The maximum order ID.","required":false,"schema":{"type":"integer"}},{"name":"customer_id","in":"query","description":"Customer ID.","required":false,"schema":{"type":"integer"}},{"name":"min_date_created","in":"query","description":"Minimum date the order was created in RFC-2822 or ISO-8601.\n\nRFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400`\n\nISO-8601: `2017-04-20T11:32:00.000-04:00`","required":false,"schema":{"type":"string"}},{"name":"max_date_created","in":"query","description":"Maximum date the order was created in RFC-2822 or ISO-8601.\n\nRFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400`\n\nISO-8601: `2017-04-20T11:32:00.000-04:00`","required":false,"schema":{"type":"string"}},{"name":"is_flagged","in":"query","description":"Whether the message is [flagged](https://support.bigcommerce.com/s/article/Communicating-with-Customers#Messages).","required":false,"schema":{"type":"boolean"}},{"name":"status","in":"query","description":"Status of the order message.","required":false,"schema":{"$ref":"#/components/schemas/OrdersOrderIdMessagesGetParametersStatus"}},{"name":"page","in":"query","description":"The page to return in the response.","required":false,"schema":{"type":"number","format":"double","default":1}},{"name":"limit","in":"query","description":"Number of results to return.","required":false,"schema":{"type":"number","format":"double","default":50}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderMessages"}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/products":{"get":{"operationId":"getOrderProducts","summary":"List Order Products","description":"Lists 50 order products on an order using `order_id`. By default, items are sorted from lowest to highest according to a newly created ID, separate from the `order_id` and the `product_id`.\n\n**Note**: The response `id` is required when you [create order shipments](/developer/docs/admin/checkout-and-cart/orders#creating-order-shipments).","tags":["orderProducts"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The page to return in the response.","required":false,"schema":{"type":"number","format":"double","default":1}},{"name":"limit","in":"query","description":"Number of results to return.","required":false,"schema":{"type":"number","format":"double","default":50}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/orderProducts"}}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/products/{product_id}":{"get":{"operationId":"getOrderProduct","summary":"Get Order Product","description":"Gets a product line item associated with the order.","tags":["orderProducts"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"product_id","in":"path","description":"ID of the product.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderProducts"}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/shipments":{"get":{"operationId":"getOrderShipments","summary":"List Order Shipments","description":"Gets a list of all shipments on an order.","tags":["orderShipments"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The page to return in the response.","required":false,"schema":{"type":"number","format":"double","default":1}},{"name":"limit","in":"query","description":"Number of results to return.","required":false,"schema":{"type":"number","format":"double","default":50}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/orderShipment"}}}}}}},"post":{"operationId":"createOrderShipments","summary":"Create Order Shipment","description":"Creates an *Order Shipment*. For more details, see [Shipping an Order](/developer/docs/admin/checkout-and-cart/orders#creating-order-shipments).\n\n**Required Fields**\n*   order_address_id\n*   items\n\n**Usage notes**\n\nThere are three methods for generating a tracking link for a shipment:\n\n1. Use `shipping_provider` and `tracking_number`: This generates a link to one of our integrated providers that you can click from the BigCommerce control panel and customer-facing emails. If a merchant still needs to set up a shipping provider or if the provider is not one of our natively integrated providers, you will click on an Aftership tracking link instead. The `generated_tracking_link` property in the API response represents one of these tracking links. The `tracking_link` property in the API response will remain empty.\n\n2. Use `tracking_carrier` and `tracking_number`: This also creates a link to one of our integrated providers or an Aftership tracking link that you can click in both the BigCommerce control panel and customer-facing emails. Like the previous method, the `generated_tracking_link` property in the API response represents this tracking link. The `tracking_link` property in the API response will remain empty.\n\n3. Supply a custom `tracking_link`: By providing a value for the `tracking_link` property, you can use your own tracking link within the BigCommerce control panel and in customer-facing emails. The API response will return your supplied tracking link as part of the `tracking_link` property in the response. In situations when there isn't a `generated_tracking_link`, the property in the API response will remain empty. \n\nAcceptable values for `shipping_provider` include the following, and this list may be updated at any time: \n - `\"\"`, an empty string\n - `auspost`\n - `canadapost`\n - `endicia`\n - `usps`\n - `fedex`\n - `royalmail`\n - `ups`\n - `upsready`\n - `shipperhq`\n - `carrier_{your_carrier_id}`, when the carrier is a [third-party Shipping Provider](/developer/docs/integrations/shipping-providers) \n\nAcceptable values for `tracking_carrier` include an empty string (`\"\"`) or one of the valid [tracking-carrier values](https://www.aftership.com/docs/tracking/others/supported-couriers).\n","tags":["orderShipments"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderShipment"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderShipment_Post"}}}}},"delete":{"operationId":"deleteOrderShipments","summary":"Delete Order Shipments","description":"Deletes all shipments associated with an order.","tags":["orderShipments"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"204":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{}}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/shipments/count":{"get":{"operationId":"getOrderShipmentsCount","summary":"Get Count of Order Shipments","description":"Gets a count of the number of shipments that have been made for a single order.","tags":["orderShipments"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderCount"}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/shipments/{shipment_id}":{"get":{"operationId":"getOrderShipment","summary":"Get Shipment","description":"Gets an order shipment.","tags":["orderShipments"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"shipment_id","in":"path","description":"Shipment ID.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderShipment"}}}}}},"put":{"operationId":"updateOrderShipment","summary":"Update Shipment","description":"Updates an existing shipment associated with an order.","tags":["orderShipments"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"shipment_id","in":"path","description":"Shipment ID.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderShipment"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderShipment_Put"}}}}},"delete":{"operationId":"deleteOrderShipment","summary":"Delete Order Shipment","description":"Deletes a shipment associated with an order.","tags":["orderShipments"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"shipment_id","in":"path","description":"Shipment ID.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"204":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{}}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/shipping_addresses":{"get":{"operationId":"getOrderShippingAddresses","summary":"List Order Shipping Addresses","description":"Get all shipping addresses on an order using the `order_id`.\n\nReturned in the response is shipping_quotes object. Please use the Get Shipping Quotes Endpoint. Using the response will return a 204 for the shipping quote.","tags":["orderShippingAddresses"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The page to return in the response.","required":false,"schema":{"type":"number","format":"double","default":1}},{"name":"limit","in":"query","description":"Number of results to return.","required":false,"schema":{"type":"number","format":"double","default":50}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/orderShippingAddress"}}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/shipping_addresses/{id}":{"get":{"operationId":"getOrderShippingAddress","summary":"Get Shipping Address","description":"Gets a shipping address associated with an order.\n\nReturned in the response is shipping_quotes object. Please use the Get Shipping Quotes Endpoint. Using the response will return a 204 for the shipping quote.","tags":["orderShippingAddresses"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"id","in":"path","description":"Shipping address ID.","required":true,"schema":{"type":"string"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderShippingAddress"}}}}}},"put":{"operationId":"updateOrderShippingAddress","summary":"Update Shipping Address","description":"Update a shipping address associated with an order.\n\n**Note**: Updating a shipping address will NOT trigger the recalculation of shipping cost and tax","tags":["orderShippingAddresses"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"id","in":"path","description":"Shipping address ID.","required":true,"schema":{"type":"string"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderShippingAddress"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrdersOrderIdShippingAddressesIdPutResponsesContentApplicationJsonSchemaItems"}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrdersOrderIdShippingAddressesIdPutResponsesContentApplicationJsonSchemaItems"}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/shippingAddress_Put"}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/shipping_addresses/{shipping_address_id}/shipping_quotes":{"get":{"operationId":"getOrderShippingAddressShippingQuotes","summary":"List Order Shipping Quotes","description":"Gets all shipping quotes persisted on an order.\n\nThis is a read-only endpoint and the output can vary based on the shipping quote. A shipping quote can only be generated using the storefront at this time. Orders that are created in the control panel or using the API return a 204 for this endpoint since a shipping quote is not generated during that process.","tags":["orderShippingAddressesQuotes"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"shipping_address_id","in":"path","description":"Shipping address ID.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"This response can vary depending on the shipping provider.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/shippingQuotes_Base"}}}}}}},"/stores/{store_hash}/v2/order_statuses":{"get":{"operationId":"getOrderStatuses","summary":"List Order Statuses","description":"Returns a Collection of All Order Statuses.\n\n**Order Status Descriptions:**\n\n|Status ID | Name  | Description |\n|-|-|-|\n| 0 | Incomplete  | An incomplete order happens when a shopper reached the payment page, but did not complete the transaction. |\n| 1 | Pending |Customer started the checkout process, but did not complete it. |\n| 2 | Shipped | Order has been shipped, but receipt has not been confirmed; seller has used the Ship Items action. |\n| 3 | Partially Shipped | Only some items in the order have been shipped, due to some products being pre-order only or other reasons. |\n| 4 | Refunded | Seller has used the Refund action. |\n| 5 | Cancelled | Seller has cancelled an order, due to a stock inconsistency or other reasons. |\n| 6 | Declined | Seller has marked the order as declined for lack of manual payment, or other reasons. |\n| 7 | Awaiting Payment | Customer has completed checkout process, but payment has yet to be confirmed. |\n| 8 | Awaiting Pickup | Order has been pulled, and is awaiting customer pickup from a seller-specified location. |\n| 9 | Awaiting Shipment | Order has been pulled and packaged, and is awaiting collection from a shipping provider. |\n| 10 | Completed | Client has paid for their digital product and their file(s) are available for download. |\n| 11 | Awaiting Fulfillment | Customer has completed the checkout process and payment has been confirmed. |\n| 12 | Manual Verification Required | Order is on hold while some aspect needs to be manually confirmed. |\n| 13 | Disputed | Customer has initiated a dispute resolution process for the PayPal transaction that paid for the order. |\n| 14 | Partially Refunded | Seller has partially refunded the order. |","tags":["orderStatus"],"parameters":[{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"Get All Order Status Collection Response.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/orderStatus_Base"}}}}}}}},"/stores/{store_hash}/v2/order_statuses/{status_id}":{"get":{"operationId":"getOrderStatusesStatus","summary":"Get Single Order Status by ID","description":"Returns a single order status.\n\n**Order Status Descriptions**\n|Status ID | Name  | Description |\n|:--|:--|:--|\n| 0 | Incomplete  | An incomplete order happens when a shopper reached the payment page, but did not complete the transaction. |\n| 1 | Pending |Customer started the checkout process, but did not complete it. |\n| 2 | Shipped | Order has been shipped, but receipt has not been confirmed; seller has used the Ship Items action. |\n| 3 | Partially Shipped | Only some items in the order have been shipped, due to some products being pre-order only or other reasons. |\n| 4 | Refunded | Seller has used the Refund action. |\n| 5 | Cancelled | Seller has cancelled an order, due to a stock inconsistency or other reasons. |\n| 6 |Declined | Seller has marked the order as declined for lack of manual payment, or other reasons. |\n| 7 | Awaiting Payment | Customer has completed checkout process, but payment has yet to be confirmed. |\n| 8 | Awaiting Pickup | Order has been pulled, and is awaiting customer pickup from a seller-specified location. |\n| 9 | Awaiting Shipment | Order has been pulled and packaged, and is awaiting collection from a shipping provider. |\n| 10 | Completed | Client has paid for their digital product and their file(s) are available for download. |\n| 11 | Awaiting Fulfillment | Customer has completed the checkout process and payment has been confirmed. |\n| 12 | Manual Verification Required | Order is on hold while some aspect needs to be manually confirmed. |\n| 13 | Disputed | Customer has initiated a dispute resolution process for the PayPal transaction that paid for the order. |\n| 14 | Partially Refunded | Seller has partially refunded the order. |","tags":["orderStatus"],"parameters":[{"name":"status_id","in":"path","description":"The status ID of the order. You can get the status id from the `/orders` endpoints.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/orderStatus_Base"}}}}}}},"/stores/{store_hash}/v2/orders/{order_id}/taxes":{"get":{"operationId":"getOrderTaxes","summary":"List Order Taxes","description":"Gets all order taxes using `order_id`.\nEach tax applied to an order. This information can be useful for reporting purposes.\nPass in the query parameter `?details=true` to return extra details about order taxes.\n`order_product_id` and `line_item_type` are also returned.\n\nAll values are read-only.","tags":["orderTaxes"],"parameters":[{"name":"order_id","in":"path","description":"ID of the order.","required":true,"schema":{"type":"integer"}},{"name":"store_hash","in":"path","description":"Permanent ID of the BigCommerce store.","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The page to return in the response.","required":false,"schema":{"type":"number","format":"double","default":1}},{"name":"limit","in":"query","description":"Number of results to return.","required":false,"schema":{"type":"number","format":"double","default":50}},{"name":"details","in":"query","description":"To return detailed tax information, pass in the details query.","required":false,"schema":{"type":"string","default":"false"}},{"name":"X-Auth-Token","in":"header","description":"### OAuth scopes\n\n| UI Name | Permission | Parameter |\n|:--------|:-----------|:----------|\n|  Orders | modify | `store_v2_orders` |\n|  Orders | read-only | `store_v2_orders_read_only` |\n\n### Authentication header\n\n| Header | Argument | Description |\n|:-------|:---------|:------------|\n| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |\n\n### Further reading\n\nFor example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).\n\nFor more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).\n\nFor a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.","required":true,"schema":{"type":"string","default":"application/json"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/orderTaxes_Base"}}}}}}}}},"servers":[{"url":"https://api.bigcommerce.com","description":"https://api.bigcommerce.com"}],"components":{"schemas":{"OrdersOrderIdGetParametersIncludeSchemaItems":{"type":"string","enum":["consignments","consignments.line_items","fees"],"title":"OrdersOrderIdGetParametersIncludeSchemaItems"},"OrdersOrderIdGetParametersConsignmentStructure":{"type":"string","enum":["object"],"title":"OrdersOrderIdGetParametersConsignmentStructure"},"OrderRespOnlyPaymentStatus":{"type":"string","enum":["authorized","captured","capture pending","declined","held for review","paid","partially refunded","pending","refunded","void","void pending",""],"description":"A read-only value. Do not attempt to set or modify this value in a POST or PUT request.","title":"OrderRespOnlyPaymentStatus"},"orderConsignments_Resource":{"type":"object","properties":{"url":{"type":"string","description":"URL where you can use a GET request to get the order consignments."},"resource":{"type":"string","description":"Path where you can use a GET request to get the order consignments."}},"title":"orderConsignments_Resource"},"pickupConsignmentLocation_Get":{"type":"object","properties":{"name":{"type":"string","description":"The name of the pickup location."},"code":{"type":"string","description":"The code of the pickup location."},"address_line_1":{"type":"string","description":"Street address (first line)."},"address_line_2":{"type":"string","description":"Street address (second line)."},"city":{"type":"string"},"state":{"type":"string"},"postal_code":{"type":"string"},"country_alpha2":{"type":"string","description":"2-letter ISO Alpha-2 code for the country."},"email":{"type":"string","description":"Pickup locationʼs email address."},"phone":{"type":"string","description":"Pickup locationʼs phone number."},"id":{"type":"integer","description":"ID of the location."}},"title":"pickupConsignmentLocation_Get"},"products_Resource":{"type":"object","properties":{"url":{"type":"string"},"resource":{"type":"string"}},"title":"products_Resource"},"PickupConsignmentGetLineItems0":{"type":"array","items":{"$ref":"#/components/schemas/products_Resource"},"title":"PickupConsignmentGetLineItems0"},"OrderProductsType":{"type":"string","enum":["physical","digital","giftcertificate"],"description":"Type of product.","title":"OrderProductsType"},"OrderProductsWeight":{"oneOf":[{"type":"number","format":"double"},{"type":"string"}],"description":"Weight of the product. The value can't be negative. (Float, Float-As-String, Integer)","title":"OrderProductsWeight"},"OrderProductsBaseWrappingCost":{"oneOf":[{"type":"string"},{"type":"number","format":"double"}],"description":"The value of the base wrapping cost. The value can't be negative. (Float, Float-As-String, Integer)","title":"OrderProductsBaseWrappingCost"},"OrderProductAppliedDiscountsTarget":{"type":"string","enum":["order","product"],"description":"Determines if the discount if discount was applied at the Order or Product level. Read Only.","title":"OrderProductAppliedDiscountsTarget"},"orderProductAppliedDiscounts":{"type":"object","properties":{"id":{"type":"string","description":"Name of the coupon applied to order."},"amount":{"type":"string","description":"Amount of the discount.(Float, Float-As-String, Integer)"},"name":{"type":"string","description":"Name of the coupon.\n`Manual Discount` when creating a manual discount."},"code":{"type":["string","null"],"description":"Coupon Code.\nThere is no code when creating a manual discount."},"target":{"$ref":"#/components/schemas/OrderProductAppliedDiscountsTarget","description":"Determines if the discount if discount was applied at the Order or Product level. Read Only."}},"description":"When applying a manual discount to an order (not a product level discount), the discount is distributed across products in proportion to the products price.\n`(total_manual_discount*price_ex_tax)/subtotal_ex_tax`","title":"orderProductAppliedDiscounts"},"OrderProductOptionsType":{"type":"string","enum":["Checkbox","Date field","File Upload","Multi-line text field","Multiple choice","Product Pick List","Swatch","Text field"],"description":"Option Type","title":"OrderProductOptionsType"},"orderProductOptions":{"type":"object","properties":{"id":{"type":"integer","description":"The unique numerical ID of the option; increments sequentially."},"option_id":{"type":"integer","description":"Numeric ID of the associated option."},"order_product_id":{"type":"integer"},"product_option_id":{"type":"integer","description":"Numeric ID of an option applied to the product from a list of options available to the product."},"display_name":{"type":"string","description":"Alias for display_name_customer. The product option name that is shown to customer in the storefront."},"display_value":{"type":"string","description":"Alias for display_value_customer. The product option value that is shown to customer in storefront."},"value":{"type":"string","description":"For file-upload type, itʼs a unique string describing the properties of the file upload. For other types, itʼs the value of the property."},"type":{"$ref":"#/components/schemas/OrderProductOptionsType","description":"Option Type"},"name":{"type":"string","description":"The option’s name, as used internally. Must be unique."},"display_style":{"type":"string","description":"How it is displayed on the storefront. Examples include Drop-down, radio buttons, or rectangles."},"display_name_customer":{"type":"string","description":"The product option name that is shown to customer in storefront."},"display_name_merchant":{"type":"string","description":"The product option name that is shown to the merchant in the control panel."},"display_value_customer":{"type":"string","description":"The product option value that is shown to customer in storefront."},"display_value_merchant":{"type":"string","description":"The product option value that is shown to the merchant in the control panel."}},"title":"orderProductOptions"},"OrderProductsConfigurableFieldsItems":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}},"title":"OrderProductsConfigurableFieldsItems"},"orderProducts":{"type":"object","properties":{"id":{"type":"integer","description":"Numeric ID of this product within this order."},"order_id":{"type":"integer","description":"Numeric ID of the associated order."},"product_id":{"type":"integer","description":"Numeric ID of the product."},"order_pickup_method_id":{"type":"integer","description":"ID of the pickup fulfillment method for this item. Default value is 0 when the item is not fulfilled by pickup method."},"order_address_id":{"type":"integer","description":"Numeric ID of the associated order address. Value is `0` for items that are not fulfilled by a pickup method."},"name":{"type":"string","description":"Alias for name_customer - The product name that is shown to customer in storefront."},"sku":{"type":"string","description":"User-defined product code/stock keeping unit (SKU)."},"type":{"$ref":"#/components/schemas/OrderProductsType","description":"Type of product."},"base_price":{"type":"string","description":"The product’s base price. (Float, Float-As-String, Integer)"},"price_ex_tax":{"type":"string","description":"The product’s price excluding tax. The value can't be negative. (Float, Float-As-String, Integer)"},"price_inc_tax":{"type":"string","description":"The product’s price including tax. The value can't be negative. (Float, Float-As-String, Integer)"},"price_tax":{"type":"string","description":"Amount of tax applied to a single product.\n\nPrice tax is calculated as:\n`price_tax = price_inc_tax - price_ex_tax`\n\n(Float, Float-As-String, Integer)"},"base_total":{"type":"string","description":"Total base price. (Float, Float-As-String, Integer)\n\n**Note**: The `base_total` is affected by the tax options set up in the control panel and is altered on tax-free orders. See more details on how `base_total` is affected by visiting the [Responsive Tax Display Settings](https://support.bigcommerce.com/s/article/Manual-Tax-Setup) overview. If the `base_total` is `$0`, it's due to the store's tax settings. To learn more about tax settings in the control panel, check out this [Tax Settings](https://support.bigcommerce.com/s/article/Tax-Overview?language=en_US#tax-settings) support article."},"total_ex_tax":{"type":"string","description":"Total base price excluding tax. The value can't be negative. (Float, Float-As-String, Integer)"},"total_inc_tax":{"type":"string","description":"Total base price including tax. The value can't be negative. (Float, Float-As-String, Integer)"},"total_tax":{"type":"string","description":"Total tax applied to products.\nFor example, if quantity if 2, base price is 5 and tax rate is 10%. price_tax will be $.50 and total_tax will be $1.00.\n\nIf there is a manual discount applied total_tax is calculated as the following:\n`(price_ex_tax - discount)*tax_rate=total_tax`.\n(Float, Float-As-String, Integer)"},"quantity":{"type":"integer","description":"Quantity of the product ordered."},"base_cost_price":{"type":"string","description":"The product’s cost price.  This can be set using the Catalog API. (Float, Float-As-String, Integer)"},"cost_price_inc_tax":{"type":"string","description":"The product’s cost price including tax. (Float, Float-As-String, Integer)\nThe cost of your products to you; this is never shown to customers, but can be used for accounting purposes. The value can't be negative."},"cost_price_ex_tax":{"type":"string","description":"The product cost price excluding tax. (Float, Float-As-String, Integer)\nThe cost of your products to you; this is never shown to customers, but can be used for accounting purposes. The value can't be negative."},"weight":{"$ref":"#/components/schemas/OrderProductsWeight","description":"Weight of the product. The value can't be negative. (Float, Float-As-String, Integer)"},"width":{"type":"string","description":"Product width. The value can't be negative."},"height":{"type":"string","description":"Product height. The value can't be negative."},"depth":{"type":"string","description":"Product depth. The value can't be negative."},"cost_price_tax":{"type":"string","description":"Tax applied to the product’s cost price. (Float, Float-As-String, Integer)\nThe cost of your products to you; this is never shown to customers, but can be used for accounting purposes. Read Only"},"is_refunded":{"type":"boolean","description":"Whether the product has been refunded."},"quantity_refunded":{"type":"number","format":"double","description":"The total quantity of product refunded from this transaction."},"refund_amount":{"type":"string","description":"The amount refunded from this transaction; always returns `0`. (Float, Float-As-String, Integer)"},"return_id":{"type":"number","format":"double","description":"Numeric ID for the refund."},"wrapping_id":{"type":"integer","description":"ID of the gift wrapping option."},"wrapping_name":{"type":["string","null"],"description":"Name of gift-wrapping option."},"base_wrapping_cost":{"$ref":"#/components/schemas/OrderProductsBaseWrappingCost","description":"The value of the base wrapping cost. The value can't be negative. (Float, Float-As-String, Integer)"},"wrapping_cost_ex_tax":{"type":"string","description":"The value of the wrapping cost, excluding tax. The value can't be negative. (Float, Float-As-String, Integer)"},"wrapping_cost_inc_tax":{"type":"string","description":"The value of the wrapping cost, including tax. The value can't be negative. (Float, Float-As-String, Integer)"},"wrapping_cost_tax":{"type":"string","description":"Tax applied to gift-wrapping option. (Float, Float-As-String, Integer)"},"wrapping_message":{"type":"string","description":"Message to accompany gift-wrapping option."},"quantity_shipped":{"type":"number","format":"double","description":"Quantity of this item shipped."},"event_name":{"type":["string","null"],"description":"Name of promotional event/delivery date."},"event_date":{"type":["string","null"],"format":"date","description":"Date of the promotional event/scheduled delivery."},"fixed_shipping_cost":{"type":"string","description":"Fixed shipping cost for this product. (Float, Float-As-String, Integer)"},"ebay_item_id":{"type":"string","description":"Item ID for this product on eBay."},"ebay_transaction_id":{"type":"string","description":"Transaction ID for this product on eBay."},"option_set_id":{"type":["integer","null"],"description":"Numeric ID of the option set applied to the product."},"parent_order_product_id":{"type":["integer","null"],"description":"ID of a parent product."},"is_bundled_product":{"type":"boolean","description":"Whether this product is bundled with other products."},"bin_picking_number":{"type":"string","description":"Bin picking number for the physical product."},"external_id":{"type":["string","null"],"description":"(Read-only) ID of the order in another system. For example, the Amazon order ID if this is an Amazon order."},"brand":{"type":"string","description":"The productʼs brand."},"applied_discounts":{"type":"array","items":{"$ref":"#/components/schemas/orderProductAppliedDiscounts"},"description":"Array of objects containing discounts applied to the product."},"product_options":{"type":"array","items":{"$ref":"#/components/schemas/orderProductOptions"},"description":"Array of product option objects."},"configurable_fields":{"type":"array","items":{"$ref":"#/components/schemas/OrderProductsConfigurableFieldsItems"},"description":"Available for only [Catalog V2 stores](/developer/docs/admin/catalog-and-inventory/migrating-from-catalog-v2-to-v3)."},"upc":{"type":"string","description":"Universal Product Code. Can be written to for custom products and catalog products."},"variant_id":{"type":"integer","description":"Products `variant_id`. PUT or POST. This field is not available for custom products."},"name_customer":{"type":"string","description":"The product name that is shown to customer in storefront."},"name_merchant":{"type":"string","description":"The product name that is shown to the merchant in the control panel."},"gift_certificate_id":{"type":["integer","null"],"description":"ID of the associated gift certificate."},"discounted_total_inc_tax":{"type":"string","description":"Represent the correct total amount of the line item after deducting all the discounts and including the tax. This number can be used for accounting purpose.\n\nThis makes it easier to have the \"shopper paid\" value for a line item and api user doesn't have to do any calculation to deduct discount on the client side.\n\nThis field includes all types of discounts (automatic, coupon, manual) and therefore if you use this value, you don't need to deduct any more discounts at line item level or order level."}},"title":"orderProducts"},"PickupConsignmentGetLineItems1":{"type":"array","items":{"$ref":"#/components/schemas/orderProducts"},"title":"PickupConsignmentGetLineItems1"},"PickupConsignmentGetLineItems":{"oneOf":[{"$ref":"#/components/schemas/PickupConsignmentGetLineItems0"},{"$ref":"#/components/schemas/PickupConsignmentGetLineItems1"}],"title":"PickupConsignmentGetLineItems"},"pickupConsignment_Get":{"type":"object","properties":{"pickup_method_display_name":{"type":"string","description":"A name for the pickup method that can be displayed to shoppers."},"collection_instructions":{"type":"string","description":"A message for shoppers explaining how to collect their pickup order."},"collection_time_description":{"type":"string","description":"A message for shoppers indicating the estimated time their pickup order will be ready for collection."},"id":{"type":"integer","description":"The ID of the pickup consignment to update."},"pickup_method_id":{"type":"integer","description":"ID of the pickup method."},"location":{"$ref":"#/components/schemas/pickupConsignmentLocation_Get"},"line_items":{"$ref":"#/components/schemas/PickupConsignmentGetLineItems"}},"title":"pickupConsignment_Get"},"FormFieldsValue":{"oneOf":[{"type":"number","format":"double"},{"type":"string"},{"type":"array","items":{"description":"Any type"}}],"description":"The form field value.","title":"FormFieldsValue"},"formFields":{"type":"object","properties":{"name":{"type":"string","description":"The form field name."},"value":{"$ref":"#/components/schemas/FormFieldsValue","description":"The form field value."}},"title":"formFields"},"ShippingConsignmentGetLineItems0":{"type":"array","items":{"$ref":"#/components/schemas/products_Resource"},"title":"ShippingConsignmentGetLineItems0"},"ShippingConsignmentGetLineItems1":{"type":"array","items":{"$ref":"#/components/schemas/orderProducts"},"title":"ShippingConsignmentGetLineItems1"},"ShippingConsignmentGetLineItems":{"oneOf":[{"$ref":"#/components/schemas/ShippingConsignmentGetLineItems0"},{"$ref":"#/components/schemas/ShippingConsignmentGetLineItems1"}],"title":"ShippingConsignmentGetLineItems"},"shippingQuotesConsignment_Resource":{"type":"object","properties":{"url":{"type":"string","description":"URL where you can use a GET request to get the shipping quotes for the order consignment."},"resource":{"type":"string","description":"Path where you can use a GET request to get the shipping quotes for the order consignment."}},"title":"shippingQuotesConsignment_Resource"},"shippingConsignment_Get":{"type":"object","properties":{"first_name":{"type":"string"},"last_name":{"type":"string"},"company":{"type":"string"},"street_1":{"type":"string","description":"Street address (first line)."},"street_2":{"type":"string","description":"Street address (second line)."},"city":{"type":"string"},"zip":{"type":"string","description":"Zip or postal code, as a string."},"country":{"type":"string"},"country_iso2":{"type":"string","description":"2-letter ISO Alpha-2 code for the country."},"state":{"type":"string"},"email":{"type":"string","description":"Recipient’s email address."},"phone":{"type":"string","description":"Recipient’s telephone number."},"form_fields":{"type":"array","items":{"$ref":"#/components/schemas/formFiel
[...]
